For the complete documentation index, see llms.txt. This page is also available as Markdown.

Suggest domain names from a domain

Suggest available domain names based on a domain name you already have in mind.

Suggest domain names from a domain

post

Suggest available domain names based on a domain name you already have in mind.

Suggestions are generated by an AI model, so they differ between calls.

Endpoint has rate limit of 90 requests per minute.

Use this endpoint when the domain you wanted is taken and you need close alternatives.

Authorizations
AuthorizationstringRequired

API Token authentication

Body
domainstring · min: 1 · max: 255Required

Domain name to base the suggestions on

Example: mydomain
limitintegerRequired

Amount of domain names to suggest

Example: 10
Responses
200

Success response

application/json
string[]Optional

Suggested domain names

Example: mydomain.tld
post/api/domains/v1/availability/alternatives-from-domain
POST /api/domains/v1/availability/alternatives-from-domain HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 32

{
  "domain": "mydomain",
  "limit": 10
}
[
  "mydomain.tld"
]

Last updated

Was this helpful?